This forum provides solutions for aws developers for their issues.It provides solutions for aws elastic ip, ec2 instance, public ip,route53 pricing, load balancers in aws,Orchestration, ebs,, lambda, installing mongodb on ubuntu etc.

Tuesday, 27 February 2018

Installing Apache Webserver on Ubuntu

ubuntu@ip-172-29-21-77:~$ sudo apt-get update
Hit:1 xenial InRelease
Get:2 xenial-updates InRelease [102 kB]
Get:3 xenial-backports InRelease [102 kB]
Get:4 xenial/main Sources [868 kB]
Get:5 xenial/restricted Sources [4808 B]
Get:6 xenial/universe Sources [7728 kB]
Get:7 xenial/multiverse Sources [179 kB]
Get:8 xenial/universe amd64 Packages [7532 kB]
Get:9 xenial-security InRelease [102 kB]     
Get:10 xenial/universe Translation-en [4354 kB]
Get:11 xenial/multiverse amd64 Packages [144 kB]
Get:12 xenial/multiverse Translation-en [106 kB]
Get:13 xenial-updates/main Sources [298 kB]
Get:14 xenial-updates/restricted Sources [2524 B]
Get:15 xenial-updates/universe Sources [191 kB]
Get:16 xenial-updates/multiverse Sources [7968 B]
Get:17 xenial-updates/main amd64 Packages [736 kB]
Get:18 xenial-updates/main Translation-en [305 kB]
Get:19 xenial-updates/universe amd64 Packages [592 kB]
Get:20 xenial-updates/universe Translation-en [239 kB]
Get:21 xenial-updates/multiverse amd64 Packages [16.2 kB]
Get:22 xenial-updates/multiverse Translation-en [8052 B]
Get:23 xenial-backports/main Sources [3432 B]
Get:24 xenial-backports/universe Sources [4900 B]
Get:25 xenial-backports/main amd64 Packages [4836 B]
Get:26 xenial-backports/main Translation-en [3220 B]
Get:27 xenial-backports/universe amd64 Packages [6628 B]
Get:28 xenial-backports/universe Translation-en [3768 B]
Get:29 xenial-security/main Sources [116 kB] 
Get:30 xenial-security/restricted Sources [2116 B]
Get:31 xenial-security/universe Sources [59.1 kB]
Get:32 xenial-security/multiverse Sources [1516 B]
Get:33 xenial-security/main amd64 Packages [459 kB]
Get:34 xenial-security/main Translation-en [198 kB]
Get:35 xenial-security/universe amd64 Packages [320 kB]
Get:36 xenial-security/universe Translation-en [119 kB]
Get:37 xenial-security/multiverse amd64 Packages [3208 B]
Get:38 xenial-security/multiverse Translation-en [1408 B]
Fetched 24.9 MB in 4s (5053 kB/s) 
Reading package lists... Done

ubuntu@ip-172-29-21-77:~$ sudo apt-get install apache2
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  apache2-bin apache2-data apache2-utils libapr1 libaprutil1
  libaprutil1-dbd-sqlite3 libaprutil1-ldap liblua5.1-0 ssl-cert
Suggested packages:
  www-browser apache2-doc apache2-suexec-pristine | apache2-suexec-custom
The following NEW packages will be installed:
  apache2 apache2-bin apache2-data apache2-utils libapr1 libaprutil1
  libaprutil1-dbd-sqlite3 libaprutil1-ldap liblua5.1-0 ssl-cert
0 upgraded, 10 newly installed, 0 to remove and 51 not upgraded.
Need to get 1557 kB of archives.
After this operation, 6432 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 xenial/main amd64 libapr1 amd64 1.5.2-3 [86.0 kB]
Get:2 xenial/main amd64 libaprutil1 amd64 1.5.4-1build1 [77.1 kB]
Get:3 xenial/main amd64 libaprutil1-dbd-sqlite3 amd64 1.5.4-1build1 [10.6 kB]
Get:4 xenial/main amd64 libaprutil1-ldap amd64 1.5.4-1build1 [8720 B]
Get:5 xenial/main amd64 liblua5.1-0 amd64 5.1.5-8ubuntu1 [102 kB]
Get:6 xenial-updates/main amd64 apache2-bin amd64 2.4.18-2ubuntu3.5 [925 kB]
Get:7 xenial-updates/main amd64 apache2-utils amd64 2.4.18-2ubuntu3.5 [82.3 kB]
Get:8 xenial-updates/main amd64 apache2-data all 2.4.18-2ubuntu3.5 [162 kB]
Get:9 xenial-updates/main amd64 apache2 amd64 2.4.18-2ubuntu3.5 [86.7 kB]
Get:10 xenial/main amd64 ssl-cert all 1.0.37 [16.9 kB]
Fetched 1557 kB in 0s (18.1 MB/s)
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to a fallback locale ("en_US.UTF-8").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Preconfiguring packages ...
Selecting previously unselected package libapr1:amd64.
(Reading database ... 51122 files and directories currently installed.)
Preparing to unpack .../libapr1_1.5.2-3_amd64.deb ...
Unpacking libapr1:amd64 (1.5.2-3) ...
Selecting previously unselected package libaprutil1:amd64.
Preparing to unpack .../libaprutil1_1.5.4-1build1_amd64.deb ...
Unpacking libaprutil1:amd64 (1.5.4-1build1) ...
Selecting previously unselected package libaprutil1-dbd-sqlite3:amd64.
Preparing to unpack .../libaprutil1-dbd-sqlite3_1.5.4-1build1_amd64.deb ...
Unpacking libaprutil1-dbd-sqlite3:amd64 (1.5.4-1build1) ...
Selecting previously unselected package libaprutil1-ldap:amd64.
Preparing to unpack .../libaprutil1-ldap_1.5.4-1build1_amd64.deb ...
Unpacking libaprutil1-ldap:amd64 (1.5.4-1build1) ...
Selecting previously unselected package liblua5.1-0:amd64.
Preparing to unpack .../liblua5.1-0_5.1.5-8ubuntu1_amd64.deb ...
Unpacking liblua5.1-0:amd64 (5.1.5-8ubuntu1) ...
Selecting previously unselected package apache2-bin.
Preparing to unpack .../apache2-bin_2.4.18-2ubuntu3.5_amd64.deb ...
Unpacking apache2-bin (2.4.18-2ubuntu3.5) ...
Selecting previously unselected package apache2-utils.
Preparing to unpack .../apache2-utils_2.4.18-2ubuntu3.5_amd64.deb ...
Unpacking apache2-utils (2.4.18-2ubuntu3.5) ...
Selecting previously unselected package apache2-data.
Preparing to unpack .../apache2-data_2.4.18-2ubuntu3.5_all.deb ...
Unpacking apache2-data (2.4.18-2ubuntu3.5) ...
Selecting previously unselected package apache2.
Preparing to unpack .../apache2_2.4.18-2ubuntu3.5_amd64.deb ...
Unpacking apache2 (2.4.18-2ubuntu3.5) ...
Selecting previously unselected package ssl-cert.
Preparing to unpack .../ssl-cert_1.0.37_all.deb ...
Unpacking ssl-cert (1.0.37) ...
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for man-db (2.7.5-1) ...
Processing triggers for systemd (229-4ubuntu21) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for ufw (0.35-0ubuntu2) ...
Setting up libapr1:amd64 (1.5.2-3) ...
Setting up libaprutil1:amd64 (1.5.4-1build1) ...
Setting up libaprutil1-dbd-sqlite3:amd64 (1.5.4-1build1) ...
Setting up libaprutil1-ldap:amd64 (1.5.4-1build1) ...
Setting up liblua5.1-0:amd64 (5.1.5-8ubuntu1) ...
Setting up apache2-bin (2.4.18-2ubuntu3.5) ...
Setting up apache2-utils (2.4.18-2ubuntu3.5) ...
Setting up apache2-data (2.4.18-2ubuntu3.5) ...
Setting up apache2 (2.4.18-2ubuntu3.5) ...
Enabling module mpm_event.
Enabling module authz_core.
Enabling module authz_host.
Enabling module authn_core.
Enabling module auth_basic.
Enabling module access_compat.
Enabling module authn_file.
Enabling module authz_user.
Enabling module alias.
Enabling module dir.
Enabling module autoindex.
Enabling module env.
Enabling module mime.
Enabling module negotiation.
Enabling module setenvif.
Enabling module filter.
Enabling module deflate.
Enabling module status.
Enabling conf charset.
Enabling conf localized-error-pages.
Enabling conf other-vhosts-access-log.
Enabling conf security.
Enabling conf serve-cgi-bin.
Enabling site 000-default.
Setting up ssl-cert (1.0.37) ...
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Processing triggers for libc-bin (2.23-0ubuntu10) ...
Processing triggers for systemd (229-4ubuntu21) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for ufw (0.35-0ubuntu2) ...

0 coment�rios:

Post a Comment


Online Training

Your Name :
Your Email: (required)
Your Message: (required)

Powered by Blogger.

Recent Posts

Find Us On Facebook

Popular Posts